Bug 155 - Console fonts messed up
Summary: Console fonts messed up
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-22 18:28 UTC by stone
Modified: 2020-09-27 01:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-28 16:29:14 UTC


Attachments (Terms of Use)

Description stone 1998-11-22 18:28:52 UTC
Console fonts get messed up when switching from
graphic mode to text VT.

a strange thing is that the font doesn't get
messed up totally randomly -- lowe-case characters often
become upper-case..

a setfont will fix the screen.

Using SVGA server.

PCI devices found:
  Bus  0, device  11, function  0:
    IDE interface: Acer Labs M5229 TXpro (rev 32).
      Medium devsel.  Fast back-to-back capable.  Master
Capable.  Latency=32.  Min Gnt=2.Max Lat=4.
      I/O at 0xffa0.
  Bus  0, device   4, function  0:
    VGA compatible controller: S3 Inc. ViRGE/DX or /GX (rev
1).
      Medium devsel.  Master Capable.  Latency=64.  Min
Gnt=4.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xec000000.

Comment 1 Preston Brown 1998-11-23 12:16:59 UTC
Using setfont is the currently recommended fix.
We have hopes that XFree86 3.3.3 (out this week) will fix this problem
with the ViRGE chipset cards.

Comment 2 David Lawrence 1999-06-28 16:29:59 UTC
This does not seem to occur anymore with XFree86-3.3.3.1 that ships
with 6.0. Suggest upgrading to those.

Comment 3 Fedora Update System 2020-09-19 22:38:32 UTC
FEDORA-2020-d358d5b0d8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2020-09-19 22:44:59 UTC
FEDORA-2020-7a574982d6 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-09-25 16:55:35 UTC
FEDORA-2020-0fedf74544 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-09-27 01:34:51 UTC
FEDORA-EPEL-2020-66f3795e72 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-09-27 01:53:40 UTC
FEDORA-EPEL-2020-7dbefa245f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.